CREATE TABLE WSI_FAIL_PEER6 (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    DESCRIPTION LONG_TEXT,
    SESSION_ID INT32_T,
    FAILOVER_ROLE ROLE_T,
    TARGET   GENERAL_NAME COLLATE ISO8859_1,
    ENABLED    BOOL,
    MCLT       TIME_T,
    DISCONNECT_TIMEOUT TIME_T,
    CONNECT_ATTEMPTS AMOUNT_TYPE,
    BACKUP_PERCENTAGE AMOUNT_TYPE,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);

ALTER TABLE WSI_FAIL_PEER6 ADD CONSTRAINT PK_WSI_FAIL_PEER6 PRIMARY KEY (PK);
CREATE UNIQUE DESCENDING INDEX IDX_WSI_FAIL_PEER6 ON WSI_FAIL_PEER6(PK);

CREATE SEQUENCE WSI_FAIL_PEER6;

ALTER TABLE WSI_FAIL_PEER6 ADD CONSTRAINT FK_WSI_FAIL_PEER6 FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);
ALTER TABLE WSI_FAIL_PEER6 ADD CONSTRAINT UNIQUE_WSI_FAIL_PEER6 UNIQUE (SESSION_ID);

CREATE TABLE WSI_FAIL_PEER4 (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    DESCRIPTION LONG_TEXT,
    SESSION_ID INT32_T,
    FAILOVER_ROLE    ROLE_T,
    TARGET   GENERAL_NAME COLLATE ISO8859_1,
    ENABLED    BOOL,
    MCLT       TIME_T,
    DISCONNECT_TIMEOUT TIME_T,
    CONNECT_ATTEMPTS AMOUNT_TYPE,
    BACKUP_PERCENTAGE AMOUNT_TYPE,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);

ALTER TABLE WSI_FAIL_PEER4 ADD CONSTRAINT PK_WSI_FAIL_PEER4 PRIMARY KEY (PK);
CREATE UNIQUE DESCENDING INDEX IDX_WSI_FAIL_PEER4 ON WSI_FAIL_PEER4(PK);

CREATE SEQUENCE WSI_FAIL_PEER4;

ALTER TABLE WSI_FAIL_PEER4 ADD CONSTRAINT FK_WSI_FAIL_PEER4 FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);
ALTER TABLE WSI_FAIL_PEER4 ADD CONSTRAINT UNIQUE_WSI_FAIL_PEER4 UNIQUE (SESSION_ID);

ALTER TABLE DHCP_AFBINDINGS4 ADD ORPHANED BOOL;
ALTER TABLE DHCP_AFBINDINGS6 ADD ORPHANED BOOL;
ALTER TABLE DHCP_NFBINDINGS4 ADD ORPHANED BOOL;
ALTER TABLE DHCP_NFBINDINGS6 ADD ORPHANED BOOL;